﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RangebarDate
{
   public class ViewModel
    {
        public ObservableCollection<Model> Collection { get; set; }
        public ViewModel()
        {
            Collection = new ObservableCollection<Model>();
            DateTime date = new DateTime(2016, 3, 1);

            Collection.Add(new Model()
            {
                XValue = date.AddMonths(1),
                Low = (date.AddDays(-5)).ToOADate(),
                High = (date.AddDays(-1)).ToOADate()
            });

            Collection.Add(new Model()
            {
                XValue = date.AddMonths(2),
                Low = (date.AddDays(-1)).ToOADate(),
                High = (date.AddDays(2)).ToOADate()
            });

            Collection.Add(new Model()
            {
                XValue = date.AddMonths(3),
                Low = (date.AddDays(-6)).ToOADate(),
                High = (date.AddDays(-3)).ToOADate()
            });

            Collection.Add(new Model()
            {
                XValue = date.AddMonths(4),
                Low = (date.AddDays(-2)).ToOADate(),
                High = (date.AddDays(3)).ToOADate()
            });

            Collection.Add(new Model()
            {
                XValue = date.AddMonths(5),
                Low = (date.AddDays(2)).ToOADate(),
                High = (date.AddDays(6)).ToOADate()
            });
        }
    }
}
